"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

require("../style/Tip.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// import { Dropdown, Button } from "semantic-ui-react";

var Tip = function (_Component) {
  _inherits(Tip, _Component);

  function Tip() {
    var _temp, _this, _ret;

    _classCallCheck(this, Tip);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _Component.call.apply(_Component, [this].concat(args))), _this), _this.state = {
      compact: true,
      text: "",
      emoji: ""
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  // for TipContainer
  Tip.prototype.componentDidUpdate = function componentDidUpdate(nextProps, nextState) {
    var onUpdate = this.props.onUpdate;


    if (onUpdate && this.state.compact !== nextState.compact) {
      onUpdate();
    }
  };

  Tip.prototype.render = function render() {
    var _this2 = this;

    var _props = this.props,
        onConfirm = _props.onConfirm,
        onOpen = _props.onOpen,
        addNode = _props.addNode;
    var _state = this.state,
        compact = _state.compact,
        text = _state.text,
        emoji = _state.emoji;

    var options = [{ key: "claim", text: "Claim", value: "claim" }, { key: "supports", text: "Supports", value: "supports" }, { key: "oppose", text: "Opposes", value: "oppose" }, { key: "citation", text: "Citation", value: "citation" }, { key: "hypothesis", text: "Hypothesis", value: "hypothesis" }];

    return _react2.default.createElement(
      "div",
      { className: "Tip" },
      compact ? _react2.default.createElement(
        "div",
        {
          className: "Tip__compact",
          onClick: function onClick() {
            onOpen();
            addNode();
            // this.setState({ compact: false });
          }
        },
        "Create Node"
      ) : _react2.default.createElement(
        "form",
        {
          className: "Tip__card",
          onSubmit: function onSubmit(event) {
            event.preventDefault();
            onConfirm({ text: text, emoji: emoji });
          }
        },
        _react2.default.createElement(
          "div",
          null,
          _react2.default.createElement(
            "div",
            { style: { color: "black" } },
            options.map(function (option) {
              return _react2.default.createElement(
                "label",
                { key: option.key },
                _react2.default.createElement("input", {
                  type: "radio",
                  name: "type",
                  value: option.value,
                  onChange: function onChange(event) {
                    return _this2.setState({ emoji: event.target.value });
                  }
                }),
                option.text
              );
            })
          )
        ),
        _react2.default.createElement(
          "div",
          null,
          _react2.default.createElement("input", { type: "submit", value: "Create Node" })
        )
      )
    );
  };

  return Tip;
}(_react.Component);

exports.default = Tip;
module.exports = exports["default"];